Name:		libaccounts-glib
Version:	0.45
Release:	1%{?dist}
Group:		System Environment/Libraries
Summary:	Nokia Maemo Accounts base library
License:	LGPLv2
URL:		http://gitorious.org/accounts-sso/accounts-glib
# extracted from http://repo.meego.com/MeeGo/builds/trunk/daily/core/repos/source/libaccounts-glib-0.45-1.1.src.rpm
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	dbus-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	sqlite-devel
BuildRequires:	check-devel
# no needed for final release tarball
BuildRequires:	libtool
BuildRequires:	gtk-doc

%description
%{summary}.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
gtkdocize
autoreconf -i --force

%configure --disable-static \
	--disable-gtk-doc

sed -i 's/-Werror//g' libaccounts-glib/Makefile
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la

# add docs manuall to %%doc instead
rm -rf %{buildroot}%{_prefix}/doc/reference

# remove tests for now
rm -f %{buildroot}%{_bindir}/*test*
rm -rf %{buildroot}%{_datadir}/libaccounts-glib0-test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%dir %{_datadir}/backup-framework
%dir %{_datadir}/backup-framework/applications
%{_datadir}/backup-framework/applications/*.conf
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}

%changelog
* Fri Aug 06 2010 Chen Lei <supercyper@163.com> - 0.45-1
- New upstream release

* Fri Jul 23 2010 Chen Lei <supercyper@163.com> - 0.39-2
- List files more specfic in spec
- Add a permanent link for meego SRPM

* Thu Jul 08 2010 Chen Lei <supercyper@163.com> - 0.39-1
- Initial packaging for Fedora

* Mon Jun 14 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 0.39
- Update to latest version
